package cn.yw.archive.videoarchive.bean;

import cn.base.bean.BaseBean;
//[运维建设管理单位信息]

public class YwarchivedepartmentBean extends BaseBean implements java.io.Serializable {
	private String departmentid;//[单位id]
	private int builddepartment;//[摄像机建设部门]
	private String areacode;//[所属行政区域编码]
	private int secreyattribute;//[保密属性]
	private int videofunctiontype;//[摄像机功能类型]
	private String areapolicecode;//[所属辖区公安机关编码]
	private String areapolicename;//[所属辖区公安机关名称]
	private int videopolicetype;//[摄像机所属警种]
	private int videopointtype;//[监控点类型]
	private String manageunitcode;//[管理单位编码]
	private String manageunitname;//[管理单位名称]
	private String manageunitphone;//[管理单位联系电话]
	private String manageunitaccount;//[管理单位联系人]
	private String useattribute;//[使用属性]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setDepartmentid(String departmentid){
		this.departmentid = departmentid;
	}
	public String getDepartmentid(){
		return departmentid;
	}
	public void setBuilddepartment(int builddepartment){
		this.builddepartment = builddepartment;
	}
	public int getBuilddepartment(){
		return builddepartment;
	}
	public void setAreacode(String areacode){
		this.areacode = areacode;
	}
	public String getAreacode(){
		return areacode;
	}
	public void setSecreyattribute(int secreyattribute){
		this.secreyattribute = secreyattribute;
	}
	public int getSecreyattribute(){
		return secreyattribute;
	}
	public void setVideofunctiontype(int videofunctiontype){
		this.videofunctiontype = videofunctiontype;
	}
	public int getVideofunctiontype(){
		return videofunctiontype;
	}
	public void setAreapolicecode(String areapolicecode){
		this.areapolicecode = areapolicecode;
	}
	public String getAreapolicecode(){
		return areapolicecode;
	}
	public void setAreapolicename(String areapolicename){
		this.areapolicename = areapolicename;
	}
	public String getAreapolicename(){
		return areapolicename;
	}
	public void setVideopolicetype(int videopolicetype){
		this.videopolicetype = videopolicetype;
	}
	public int getVideopolicetype(){
		return videopolicetype;
	}
	public void setVideopointtype(int videopointtype){
		this.videopointtype = videopointtype;
	}
	public int getVideopointtype(){
		return videopointtype;
	}
	public void setManageunitcode(String manageunitcode){
		this.manageunitcode = manageunitcode;
	}
	public String getManageunitcode(){
		return manageunitcode;
	}
	public void setManageunitname(String manageunitname){
		this.manageunitname = manageunitname;
	}
	public String getManageunitname(){
		return manageunitname;
	}
	public void setManageunitphone(String manageunitphone){
		this.manageunitphone = manageunitphone;
	}
	public String getManageunitphone(){
		return manageunitphone;
	}
	public void setManageunitaccount(String manageunitaccount){
		this.manageunitaccount = manageunitaccount;
	}
	public String getManageunitaccount(){
		return manageunitaccount;
	}
	public void setUseattribute(String useattribute){
		this.useattribute = useattribute;
	}
	public String getUseattribute(){
		return useattribute;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}